Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
Lucene::WordlistLoader Class Reference

Loader for text files that represent a list of stopwords. More...

`#include <WordlistLoader.h>`

Inheritance diagram for Lucene::WordlistLoader:

## Public Member Functions

virtual | ~WordlistLoader ()
virtual String | getClassName ()
boost::shared_ptr< WordlistLoader > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
static HashSet< String > | getWordSet (const String &wordfile, const String &comment=EmptyString)
| Loads a text file and adds every line as an entry to a HashSet (omitting leading and trailing whitespace). Every line of the file should contain only one word. The words need to be in lowercase if you make use of an Analyzer which uses LowerCaseFilter (like StandardAnalyzer). More...
static HashSet< String > | getWordSet (const ReaderPtr &reader, const String &comment=EmptyString)
| Loads a text file and adds every line as an entry to a HashSet (omitting leading and trailing whitespace). Every line of the file should contain only one word. The words need to be in lowercase if you make use of an Analyzer which uses LowerCaseFilter (like StandardAnalyzer). More...
static MapStringString | getStemDict (const String &wordstemfile)
| Reads a stem dictionary. Each line contains: More...

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Loader for text files that represent a list of stopwords.

## Constructor & Destructor Documentation

virtual Lucene::WordlistLoader::~WordlistLoader | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::WordlistLoader::_getClassName | ( |  | ) |

inline static

virtual String Lucene::WordlistLoader::getClassName | ( |  | ) |

inline virtual

static MapStringString Lucene::WordlistLoader::getStemDict | ( | const String & | wordstemfile | ) |

static

Reads a stem dictionary. Each line contains:

    word

(ie. two tab separated words)

Returns
  stem dictionary that overrules the stemming algorithm

static HashSet<String> Lucene::WordlistLoader::getWordSet | ( | const String & | wordfile,
|  | const String & | comment = `EmptyString`
| ) |  |

static

Loads a text file and adds every line as an entry to a HashSet (omitting leading and trailing whitespace). Every line of the file should contain only one word. The words need to be in lowercase if you make use of an Analyzer which uses LowerCaseFilter (like StandardAnalyzer).

Parameters

  wordfile | File name containing the wordlist
  comment | The comment string to ignore

Returns
  A set with the file's words

static HashSet<String> Lucene::WordlistLoader::getWordSet | ( | const ReaderPtr & | reader,
|  | const String & | comment = `EmptyString`
| ) |  |

static

Loads a text file and adds every line as an entry to a HashSet (omitting leading and trailing whitespace). Every line of the file should contain only one word. The words need to be in lowercase if you make use of an Analyzer which uses LowerCaseFilter (like StandardAnalyzer).

Parameters

  reader | Reader containing the wordlist
  comment | The comment string to ignore

Returns
  A set with the file's words

boost::shared_ptr< WordlistLoader > Lucene::WordlistLoader::shared_from_this | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- WordlistLoader.h

clucene.sourceforge.net